| Property | Value |
|---|---|
| Product | API (pco.api, API version 2026-09-24) |
| Resource type | Organization |
| TypeScript | Api.Organization, attributes Api.OrganizationAttributes, schema Api.OrganizationSchema |
| Planning Center path | /api/v2 |
| Planning Center docs | Organization |
How to reach it
| Client path | Returns | Filters | Create |
|---|---|---|---|
pco.api.get() |
The product root | No |
Collections support where, include, order, and pagination; single resources have get().
Attributes
This resource has no documented attributes.
Querying
No documented where fields.
No documented order fields.
Edges
The product root’s edges are the root collections on pco.api.
Writing
| Property | Value |
|---|---|
| Create | No |
| Update | No |
| Delete | No |
Example
import type { Api } from '@mackenly/planningcenterkit';
const { data } = await pco.api.get(); // GET /api/v2
const root: Api.Organization = data;